Summary:	GTK greeter for greetd
Name:		greetd-greeter-gtkgreet
Version:	0.8
Release:	1
License:	MIT
Group:		Applications
Source0:	https://git.sr.ht/~kennylevinsen/gtkgreet/archive/%{version}.tar.gz
# Source0-md5:	01d795694fcf4f87b49e072c1b07b6d4
URL:		https://git.sr.ht/~kennylevinsen/gtkgreet
BuildRequires:	gtk+3-devel
BuildRequires:	gtk-layer-shell-devel
BuildRequires:	json-c-devel
BuildRequires:	meson >= 0.47.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	scdoc >= 1.9.7
Requires:	greetd
Suggests:	cage
Provides:	greetd(greeter)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GTK based greeter for greetd, to be run under cage or similar.

%prep
%setup -q -n gtkgreet-%{version}

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/greetd

%ninja_install -C build

echo sh > $RPM_BUILD_ROOT/etc/greetd/environments

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%config(noreplace) %verify(not md5 mtime size) /etc/greetd/environments
%attr(755,root,root) %{_bindir}/gtkgreet
%{_mandir}/man1/gtkgreet.1*
%changelog
* Fri Dec 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/greetd-greeter-gtkgreet.git;a=log;h=master

* Fri Dec 01 2023 Jan Palus <atler@pld-linux.org> aa48871
- up to 0.8

* Fri Dec 01 2023 Jan Palus <atler@pld-linux.org> 6ec819f
- BR: pkgconfig

* Fri Feb 18 2022 Jan Palus <atler@pld-linux.org> beaf59a
- upstream fixes for 32bit platforms

* Thu Dec 30 2021 Jan Palus <atler@pld-linux.org> 453aa39
- new

